Subject: Re: bug#50999: 29.0.50; Deleting libraries obsolete since Emacs 24

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 12 Nov 2021 07:27:45 +0100

Po Lu <[email-masked]> writes:

> What about what I proposed, i.e. not byte-compiling those files, and in
> general paying no attention to them?

I don't think that's feasible -- if something breaks, then people will
be reporting bugs about those things.  Not byte-compiling them would
just be more work in the long run, because we'd be discovering the
issues later, and not when somebody does a change that requires the
other files to change.

> What about an ELPA package, playing the same role as the dumping ground
> folder?

If somebody wants to maintain vip.el externally (to take an example),
then we could indeed put it in GNU ELPA.  But if not, then it's the
same -- we're maintaining the things that's included in the ELPA repo.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no